{% extends "base.html" %}

{% block header %}
    <nav class="navbar navbar-expand-md navbar-light" style="background-color: #3cc43c">
        <div class="container-fluid">
            <a class="navbar-brand" href="{% url 'home_page' %}">
                Gaia
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                    aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse d-flex justify-content-end" id="navbarSupportedContent">
                <div class="navbar-nav">
                    {% if not request.user.is_authenticated %}
                        <a href="{% url 'login' %}" class="btn btn-secondary my-2 mx-2">
                            Connexion
                        </a>
                        <a href="{% url 'register' %}" class="btn btn-success my-2 mx-2">
                            Inscription
                        </a>
                    {% else %}
                        <a href="{% url 'profile_home' %}" class="btn btn-primary my-2 mx-2">
                            Ma page
                        </a>
                        <a href="{% url 'logout' %}" class="btn btn-secondary my-2 mx-2">
                            Déconnexion
                        </a>
                    {% endif %}
                </div>
            </div>
        </div>
    </nav>
{% endblock %}
